package cn.reghao.tnb.content.app.geo.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.content.app.geo.model.po.GeoChina;
import cn.reghao.tnb.content.app.geo.model.po.GeoJson;
import cn.reghao.tnb.content.app.geo.model.vo.GeoArea;
import cn.reghao.tnb.content.app.geo.model.vo.MapPoint;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author reghao
 * @date 2025-03-17 17:14:34
 */
@Mapper
public interface GeoChinaMapper extends BaseMapper<GeoChina> {
    void saveMultiPolygon(GeoChina geoChina);
    void saveGeoJosn(GeoJson geoJson);
    GeoArea findByPoint(MapPoint mapPoint);
    List<GeoArea> findAllArea();
    String findGeoJson(@Param("areaCode") int areaCode, @Param("deep") int deep);
    List<GeoJson> findGeoJsonObject();
}
